
function love.load () 
 	love._openConsole()
	love.graphics.setBackgroundColor(100,100,255)
	imageData = love.image.newImageData('input.png')
	imageInput = love.graphics.newImage(imageData)
	imageInput:setFilter( 'nearest', 'nearest' )	
	iDW = imageInput:getWidth()-1
	iDH = imageInput:getHeight()-1
	
	-- draw borders in imageData --
	local r, g, b, a = 0,0,0,0;
	-- ,   --
	r, g, b, a = imageData:getPixel( 1, 1 )
	imageData:setPixel( 0, 0, r, g, b, a )
	r, g, b, a = imageData:getPixel( iDW-1, 1 )
	imageData:setPixel( iDW, 0, r, g, b, a )	
	r, g, b, a = imageData:getPixel( iDW-1, iDH-1 )
	imageData:setPixel( iDW, iDH, r, g, b, a )		
	r, g, b, a = imageData:getPixel( 1, iDH-1 )
	imageData:setPixel( 0, iDH, r, g, b, a )		
	-- top --
	for x=1, iDW-1 do
		r, g, b, a = imageData:getPixel( x, 1 )
		imageData:setPixel( x, 0, r, g, b, a )		
	end
	-- bottom --
	for x=1, iDW-1 do
		r, g, b, a = imageData:getPixel( x, iDH-1 )
		imageData:setPixel( x, iDH, r, g, b, a )		
	end
	-- left --
	for y=1, iDH-1 do
		r, g, b, a = imageData:getPixel( 1, y )
		imageData:setPixel( 0, y, r, g, b, a )		
	end	
	-- right --
	for y=1, iDH-1 do
		r, g, b, a = imageData:getPixel( iDW-1, y )
		imageData:setPixel( iDW, y, r, g, b, a )		
	end		
	
	-- save (...\Application Data\LOVE\anti-texture-blending\output.png) --
	imageData:encode('output.png')
	
	imageOutput = love.graphics.newImage(imageData)
	imageOutput:setFilter( 'nearest', 'nearest' )	
end

function love.update(dt)
	
end

function love.draw()
	love.graphics.setCaption(love.timer.getFPS(),0,0)

	
	love.graphics.setColor(255,255,255,230)
	love.graphics.draw( imageOutput, 0, 0, 0, 10, 10)																 





end